CLANG-CHANGE-NAMESPACE(1)

NAME
clang-change-namespace - manual page for clang-change-namespace 8

DESCRIPTION
USAGE: clang-change-namespace [options] <source0> [... <sourceN>]

OPTIONS:

Change namespace.:

-dump_result - Dump new file contents in YAML, if specified.

-extra-arg=<string> - Additional argument to append to the compiler command line

-extra-arg-before=<string> - Additional argument to prepend to the compiler command line

-file_pattern=<string> - Only rename namespaces in files that match the given pattern.

-i - Inplace edit <file>s, if specified.

-new_namespace=<string> - New namespace.

-old_namespace=<string> - Old namespace.

-p=<string> - Build path

-style=<string> - The style name used for reformatting.

-whitelist_file=<string> - A file containing regexes of symbol names that are not expected to be updated when changing namespaces around them.

Generic Options:

-help - Display available options (-help-hidden for more)

-help-list - Display list of available options (-help-list-hidden for more)

-version - Display the version of this program